package cviceni1;

public class Graphic {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		// pocet geometrickych utvaru
		int ListLength = 6;
		// pocet utvaru, ktere maji obsah
		int FlatShapesLength = 5;
		
		// vytvorime pole
		GeometricShape[] list = new GeometricShape[ListLength];
		IHasArea[] flatShapes = new IHasArea[FlatShapesLength];

		// budeme si pocitat indexy
		// kdybychom napsali indexy natvrdo a potom chteli neco zmenit, bylo by to peklo
		int indexList = 0;
		int indexFlatShapes = 0;
		
		// vytvorime geometricke utvary a ulozime je do pole
		Circle circle = new Circle(10, 12, 3);
		list[indexList++] = circle;
		flatShapes[indexFlatShapes++] = circle;
		
		Line line = new Line(5, 6, 15, 0.12f);
		list[indexList++] = line;
		
		Square square = new Square(5, 6, 2);
		list[indexList++] = square;
		flatShapes[indexFlatShapes++] = square;
		
		square = new Square(2, 3, 1);
		list[indexList++] = square;
		flatShapes[indexFlatShapes++] = square;
		
		Rectangle rectangle = new Rectangle(-5, 2, 1, 2);
		list[indexList++] = rectangle;
		flatShapes[indexFlatShapes++] = rectangle;
		
		rectangle = new Rectangle(5, -2, 3, 2);
		list[indexList++] = rectangle;
		flatShapes[indexFlatShapes++] = rectangle;
		
		// zavolame metody draw()
		System.out.println("draw():");
		for (int i = 0; i < ListLength; i++)
			list[i].draw();
		
		// spocitame obsahy
		System.out.println("getArea():");
		for (int i = 0; i < FlatShapesLength; i++)
			System.out.println(flatShapes[i].getArea());
	}
}  
